WebWi$e Security Updates

Important Online Banking Security Update 

On November 15, 2018, Adirondack Trust Company is updating the communication protocol for WebWi$e Banking and WebWi$e Mobile Banking.  Although most internet browsers and operating systems support these updates, if you are using an older operating system or browser, you may need to update to the latest supported version.

Why is Adirondack Trust Updating Security?

We are making a change to our security for our online banking services in order to align with industry best practices and provide you with a more secure online connection.

TLS stands for “Transport Layer Security”, an encryption protocol that provides privacy and data integrity between two communicating applications that require data to be securely exchanged over a network.

TLS 1.0 and 1.1 will be disabled on our sites, as these versions are now considered less secure than TLS 1.2.

Although most internet browsers and operating systems support these updates, if you are using an older version, you will need to update your browser.  Please refer to the chart below for TLS 1.2 compatibility with common systems and browsers.

Browsers and Operating SystemsTLS 1.2 Compatibility
Microsoft EdgeCompatible by default
Microsoft IE Desktop and Mobile version 11Compatible by default
Microsoft IE Desktop version 9 and 10Capable when run in Windows 7 or newer but not enabled by default
Firefox 27 or higherCompatible by default
Google Chrome 38 and higher Compatible by default
Safari version 7 and higherCompatible by default
Mobile Safari version 5 and higherCompatible by default
Opera 17 or higherCompatible by default
Microsoft Windows 7, 8.0, 8.1 and 10Compatible by default
Microsoft Windows Server 2008 R2 and higherCompatible by default
Microsoft Windows Server 2008 and belowNot compatible with TLS 1.2
Microsoft XP/Vista and belowNot compatible with TLS 1.2
iOS 5 and aboveCompatible by default
Android 5.0 (Lollipop)Compatible by default